Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools.planner.core.constructionheuristic.greedyFit
Class DefaultGreedyFitSolverPhase

    java.lang.Object
      org.drools.planner.core.phase.AbstractSolverPhase
          org.drools.planner.core.constructionheuristic.greedyFit.DefaultGreedyFitSolverPhase

All Implemented Interfaces:
  EventListener, GreedyFitSolverPhase, SolverPhaseLifecycleListener, SolverPhase

    public class DefaultGreedyFitSolverPhase

extends AbstractSolverPhase
implements GreedyFitSolverPhase

Default implementation of `GreedyFitSolverPhase`.

Field Summary
`protected boolean` | `assertStepScoreIsUncorrupted`
`protected GreedyDecider` | `greedyDecider`
`protected GreedyPlanningEntitySelector` | `greedyPlanningEntitySelector`

Fields inherited from class org.drools.planner.core.phase.AbstractSolverPhase
`bestSolutionRecaller, logger, solverPhaseLifecycleSupport, termination`

Constructor Summary
`DefaultGreedyFitSolverPhase()`

Method Summary
`void` | `beforeDeciding(GreedyFitStepScope greedyFitStepScope)`
`void` | `phaseEnded(GreedyFitSolverPhaseScope greedyFitSolverPhaseScope)`
`void` | `phaseStarted(GreedyFitSolverPhaseScope greedyFitSolverPhaseScope)`
`void` | `setAssertStepScoreIsUncorrupted(boolean assertStepScoreIsUncorrupted)`
`void` | `setGreedyDecider(GreedyDecider greedyDecider)`
`void` | `setGreedyPlanningEntitySelector(GreedyPlanningEntitySelector greedyPlanningEntitySelector)`
`void` | `solve(DefaultSolverScope solverScope)`
`void` | `stepDecided(GreedyFitStepScope greedyFitStepScope)`
`void` | `stepTaken(GreedyFitStepScope greedyFitStepScope)`

Methods inherited from class org.drools.planner.core.phase.AbstractSolverPhase
`addSolverPhaseLifecycleListener, beforeDeciding, phaseEnded, phaseStarted, removeSolverPhaseLifecycleListener, setBestSolutionRecaller, setTermination, stepDecided, stepTaken`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.drools.planner.core.phase.SolverPhase
`addSolverPhaseLifecycleListener, removeSolverPhaseLifecycleListener`

Field Detail

### greedyPlanningEntitySelector

    protected GreedyPlanningEntitySelector greedyPlanningEntitySelector

### greedyDecider

    protected GreedyDecider greedyDecider

### assertStepScoreIsUncorrupted

    protected boolean assertStepScoreIsUncorrupted

Constructor Detail

### DefaultGreedyFitSolverPhase

    public DefaultGreedyFitSolverPhase()

Method Detail

### setGreedyPlanningEntitySelector

    public void setGreedyPlanningEntitySelector(GreedyPlanningEntitySelector greedyPlanningEntitySelector)

### setGreedyDecider

    public void setGreedyDecider(GreedyDecider greedyDecider)

### setAssertStepScoreIsUncorrupted

    public void setAssertStepScoreIsUncorrupted(boolean assertStepScoreIsUncorrupted)

### solve

    public void solve(DefaultSolverScope solverScope)

  Specified by:
    `solve` in interface `SolverPhase`

### phaseStarted

    public void phaseStarted(GreedyFitSolverPhaseScope greedyFitSolverPhaseScope)

### beforeDeciding

    public void beforeDeciding(GreedyFitStepScope greedyFitStepScope)

### stepDecided

    public void stepDecided(GreedyFitStepScope greedyFitStepScope)

### stepTaken

    public void stepTaken(GreedyFitStepScope greedyFitStepScope)

### phaseEnded

    public void phaseEnded(GreedyFitSolverPhaseScope greedyFitSolverPhaseScope)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 JBoss by Red Hat. All Rights Reserved.